global_settings {
    adc_bailout 0.0039
    max_trace_level 6
    }

//*************************
// Textures and Finishes
//*************************

#declare sehr_matt = finish { diffuse 0.2 ambient 0.18 specular 0.2 roughness 0.12 }

#declare matt = finish { diffuse 0.67 ambient 0.22 specular 0.4 roughness 0.05 }

#declare matt_glaenzend = finish {diffuse 0.7 ambient 0.2 reflection 0.03 phong 1
phong_size 50 specular 0.2 roughness 0.04}

#declare Texture2 = texture { pigment{ color OldGold } finish{
    metallic
    ambient 0.2
    diffuse 0.7
    brilliance 8
    reflection 0.4
    phong 0.1
    phong_size 200 }}

#declare DMFWood6_mod =
texture {
    pigment {
        wood  turbulence 0.04
        octaves 3
        scale <0.05, .05, 1>
        color_map {
            [0.0, 0.1 color rgb <0.88, 0.60, 0.4>
                      color rgb <0.88, 0.60, 0.4>]
            [0.1, 0.9 color rgb <0.88, 0.60, 0.4>
                      color rgb <0.60, 0.40, 0.3>]
            [0.9, 1.0 color rgb <0.60, 0.40, 0.3>
                      color rgb <0.60, 0.40, 0.3>]
        }
    }
    finish {
        specular 0.05
        roughness 0.05
        ambient 0.6
        diffuse 0.33
        reflection 0.03
    }
}
texture {
    pigment {
        wood  turbulence <0.1, 0.5, 1>
        octaves 5
        lambda 3.25
        scale <0.15, .5, 1>
        color_map {
            [0.0, 0.1 color rgbf <0.7, 0.6, 0.4, 0.100>
                      color rgbf <0.8, 0.6, 0.3, 0.500>]
            [0.1, 0.9 color rgbf <0.8, 0.6, 0.3, 0.650>
                      color rgbf <0.6, 0.4, 0.2, 0.975>]
            [0.9, 1.0 color rgbf <0.6, 0.4, 0.2, 0.975>
                      color rgbf <0.6, 0.4, 0.2, 1.000>]
        }
    rotate <5, 10, 5>
    translate -x*2
    }
    finish {
        specular 0.05
        roughness 0.0005
        ambient .1
        diffuse 0.33 }}

 #declare Polished_Chrome2 =
texture {
    pigment { color LightGray }
    finish {
        ambient 0.3
        diffuse 0.6
        brilliance 6.0
        reflection 0.6
        phong 0.8
        phong_size 150 }}





//******************************
// the object
//******************************

// Normally units of measurement are meters.
// German expressions may occur.


#declare Schrank = object {
union {
 box // Sockel
{
  <-0.55, 0.0, -0.03>
  < 0.55,  0.074,  0.55>
  texture { T_Wood4 finish { matt_glaenzend }}}

 difference {
   box // aussen
{
  <-0.55, 0.074, 0.0>
  < 0.55,  1.416,  0.55>
  texture { T_Wood4 finish { matt_glaenzend }}}


     box // innen
{
  <-0.525, 0.099, -0.01>
  < 0.525,  1.381,  0.525>
  texture { T_Wood4 finish { matt_glaenzend }}}}}}


  #declare Schublade_voll = object {

 union {

  difference {
  box // Schublade aussen
{
  <-0.519, 0.111, 0.0>
  <-0.003, 0.52633333,  0.519>
  texture { T_Wood4 finish { matt_glaenzend }}}


    box // Schublade innen
{
  <-0.509, 0.121, 0.01>
  <-0.013, 0.53633333,  0.509>
  texture { T_Wood4 finish { matt_glaenzend }}}}

  difference { // Ordner1
  box
{
  <-0.493, 0.5, 0.02>
  <-0.413, 0.495,  0.34>
  texture { pigment { color rgb <0.37,0.37,0.37> }
  finish { matt }}}

cylinder //Loch
{
  <-0.453,0.49,0.105>
  <-0.453,0.55,0.105>, 0.014 }}

  box // Etikett
{
  <-0.483, 0.502, 0.135>
  <-0.423, 0.495,  0.325>
  texture { pigment { color rgb <0.97,0.97,0.97> }
  finish { matt }}}

    difference { // Ordner2
  box
{
  <-0.397, 0.5, 0.02>
  <-0.317, 0.495,  0.34>
  texture { pigment { color rgb <0.37,0.37,0.37> }
  finish { matt }}}

cylinder //Loch
{
  <-0.357,0.49,0.105>
  <-0.357,0.55,0.105>, 0.014 }}

  box // Etikett
{
  <-0.387, 0.502, 0.135>
  <-0.327, 0.495,  0.325>
  texture { pigment { color rgb <0.97,0.97,0.97> }
  finish { matt }}}

  difference { // Ordner3
  box
{
  <-0.301, 0.5, 0.02>
  <-0.221, 0.495,  0.34>
  texture { pigment { color rgb <0.37,0.37,0.37> }
  finish { matt }}}

cylinder //Loch
{
  <-0.261,0.49,0.105>
  <-0.261,0.55,0.105>, 0.014 }}

  box // Etikett
{
  <-0.291, 0.502, 0.135>
  <-0.231, 0.495,  0.325>
  texture { pigment { color rgb <0.97,0.97,0.97> }
  finish { matt }}}

  difference { // Ordner4
  box
{
  <-0.205, 0.5, 0.02>
  <-0.125, 0.495,  0.34>
  texture { pigment { color rgb <0.37,0.37,0.37> }
  finish { matt }}}

cylinder //Loch
{
  <-0.165,0.49,0.105>
  <-0.165,0.55,0.105>, 0.014 }}

  box // Etikett
{
  <-0.195, 0.502, 0.135>
  <-0.135, 0.495,  0.325>
  texture { pigment { color rgb <0.97,0.97,0.97> }
  finish { matt }}}

  difference { // Ordner5
  box
{
  <-0.109, 0.5, 0.02>
  <-0.029, 0.495,  0.34>
  texture { pigment { color rgb <0.37,0.37,0.37> }
  finish { matt }}}

cylinder //Loch
{
  <-0.069,0.49,0.105>
  <-0.069,0.55,0.105>, 0.014 }}

  box // Etikett
{
  <-0.099, 0.502, 0.135>
  <-0.039, 0.495,  0.325>
  texture { pigment { color rgb <0.97,0.97,0.97> }
  finish { matt }}}


     box // Umrahmung Schild
{
  <-0.308, 0.263, -0.01>
  <-0.214, 0.327,  0.008>
  texture { Polished_Chrome2 }}

  torus { // Handgriff
  0.042,0.0062
  scale <1.2,1.2,0.8>
  translate <-0.261,0.357,-0.008>
  texture { Texture2 }}


    box // Aufsatz
{
  <-0.499, 0.131, -0.008>
  <-0.023, 0.50633333,  0.008>
  texture { DMFWood6_mod scale <3,0.08,0.08> }}}}


 #declare Schublade_leer = object {

 union {

  difference {
  box // Schublade aussen
{
  <-0.519, 0.111, 0.0>
  <-0.003, 0.52633333,  0.519>
  texture { T_Wood4 finish { matt_glaenzend }}}


    box // Schublade innen
{
  <-0.509, 0.121, 0.01>
  <-0.013, 0.53633333,  0.509>
  texture { T_Wood4 finish { matt_glaenzend }}}}

       box // Umrahmung Schild
{
  <-0.308, 0.263, -0.01>
  <-0.214, 0.327,  0.008>
  texture { Polished_Chrome2 }}

  torus { // Handgriff
  0.042,0.0062
  scale <1.2,1.2,0.8>
  translate <-0.261,0.357,-0.008>
  texture { Texture2 }}


    box // Aufsatz
{
  <-0.499, 0.131, -0.008>
  <-0.023, 0.50633333,  0.008>
  texture { DMFWood6_mod scale <3,0.08,0.08> }}}}




#declare SchildAE = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "A_E.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}

#declare SchildFK = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "F_K.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}

#declare SchildLO = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "L_O.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}

#declare SchildPS = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "P_S.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}

#declare SchildTW = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "T_W.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}

#declare SchildXZ = object {

 box
{
  <0, 0, -0.012>
  <1, 1,  0.008>
 texture { pigment {
image_map { jpeg "X_Z.jpg" map_type 0  interpolate 2  }}finish { sehr_matt }}
scale <0.08,0.05,1.0>
translate <-0.301,0.27,0 >
}}


  #declare Aktenschrank = object {   // filing cabinet
 union {
  object { Schrank }
  object { SchildTW translate <0,0,0> } //unten links

  object { SchildXZ translate <0.522,0,-0.35> } //unten rechts

  object { SchildLO translate <0,0.4273333,0> } //mitte links
  object { SchildPS translate <0.522,0.4273333,0> } //mitte rechts
  object { SchildAE translate <0,0.8486666,0> } //oben links
  object { SchildFK translate <0.522,0.8486666,0> } //oben rechts

  object { Schublade_leer translate <0,0,0> } //unten links

  //**** change the z-value for translate to pull out a drawer ! ****
  //**** you have to change it similarly for the "Schild"-object ! ****
  //**** den z-Wert fuer translate veraendern, um eine Schublade herauszuziehen ! ****
  //**** der z-Wert fuer das Schild muss auch entsprechend veraendert werden ! ****

  object { Schublade_voll translate <0.522,0,-0.35> } //unten rechts

  object { Schublade_leer translate <0,0.4273333,0> } //mitte links
  object { Schublade_leer translate <0.522,0.4273333,0> } //mitte rechts
  object { Schublade_leer translate <0,0.8486666,0> } //oben links
  object { Schublade_leer translate <0.522,0.8486666,0> } //oben rechts
  }}