/*************************
** Cdigo da cadeira		**  
*************************/



// Date:  1997/1998
// Auth:  Matthias Opitz
// Email: op.tima@gmx.de

 global_settings {
    adc_bailout 0.0039
    max_trace_level 6
    }

//*************************
// Textures and Finishes
//*************************

#declare matt_glaenzend2 = finish {diffuse 0.56 ambient 0.22 reflection 0.03 phong 0.5
phong_size 95 specular 0.2 roughness 0.02}

#declare matt_ref_crand2 = finish { diffuse 0.67 ambient 0.22 specular 0.4 roughness 0.08
reflection 0.03 crand 0.1 }

#declare Stuhl_Texture = texture { T_Wood32
   finish  { matt_glaenzend2 }
   scale <0.6,7,0.4>
 translate <0.6,0,0> }

#declare Sitz_Texture = texture {
   pigment { color rgb <0.592,0.023,0.055> }
   finish  { matt_ref_crand2 } normal { bumps 0.08 scale 0.004 }
}



//******************************
// the object
//******************************

// Normally units of measurement are meters.
// German expressions may occur.

#declare Stuhlbein = object {
cone
{
  <0,0,0>,  0.0125,
  <0,0.45,0>, 0.036
  texture { Stuhl_Texture }
}}

#declare Sitzflaeche1 = object {
superellipsoid
{ < 0.2, 0.2 >
  scale <0.225,0.025,0.225>
  translate <0,0.025,0>
  texture { Stuhl_Texture }
  }}

  #declare Sitzflaeche2 = object {
superellipsoid
{ < 0.2, 0.2 >
  scale <0.2,0.035,0.2>
  translate <0,0.04,-0.0175>
  texture { Sitz_Texture }
  }}

#declare Lehne1 = object {
union {
cylinder {
    <0.1975,0,0>,
    <-0.1975,0,0>,
    0.0275
    //open
    texture { Stuhl_Texture }}

sphere {
<0.1975,0,0>, 0.0275
texture { Stuhl_Texture }}

sphere {
<-0.1975,0,0>, 0.0275
texture { Stuhl_Texture }}}}


#declare Lehne2 = object {
 lathe {
 cubic_spline
    15,
    <0, -24>,
    <0,-23.7>,
    <1.75, -23.6>,
    <1.75, -17.6>,
    <2.5, -13.2>,
    <1.75, -8.8>,
    <2.5, -4.4>,
    <1.75, 0>,
    <2.5, 4.4>,
    <1.75, 8.8>,
    <2.5, 13.2>,
    <1.75, 17.6>,
    <1.75, 23.6>,
    <0,   23.7>,
    <0,   24>
    texture { Stuhl_Texture }
    scale <0.01,0.01,0.01>
    rotate <6,0,0>
    translate <0,0.735,0.028>
    }}


#declare Stuhl = object {
union {
object { Stuhlbein translate <0.164,0,0.164> }
object { Stuhlbein translate <-0.164,0,-0.164> }
object { Stuhlbein translate <0.164,0,-0.164> }
object { Stuhlbein translate <-0.164,0,0.164> }
object { Sitzflaeche1 translate <0,0.45,0> }
object { Sitzflaeche2 translate <0,0.45,0> }
object { Lehne1 translate <0,0.995,0.253> }
object { Lehne2 translate <0.175,0,0.195> }
object { Lehne2 translate <-0.175,0,0.195> }
object { Lehne2 translate <0,0,0.195> }
object { Lehne2 translate <0.0875,0,0.195> }
object { Lehne2 translate <-0.0875,0,0.195> }

}}