/*========================================================================*/
/* scrmbl.pov - Demo. the rubic.inc file.                                 */
/* by John L. Bolt, jlb@magpage.com                                       */
/*																																				*/
/*	Modificado por Giuseppe et al 																				*/

#include "colors.inc"
#include "woods.inc"
#include "metals.inc"    
#include "skies.inc"  
#include "glass.inc"
#include "textures.inc"  
#include "finish.inc"

#include "rubic.inc"
#include "cadeira.inc"      
#include "armario.inc"

/*========================================================================*/
/* Macro de Luzes                                                         */
  

#macro mLights(Hgt, Spc, Rad, Fal, Obj)
union {
  light_source { <-Spc, Hgt,-Spc>+Obj, rgb <1.0, 1.0, 1.0>
    spotlight radius Rad falloff Fal point_at Obj
  }

  light_source { <-Spc, Hgt, Spc>+Obj, rgb <1.0, 1.0, 1.0>
    spotlight radius Rad falloff Fal point_at Obj
  }  

  light_source { < Spc, Hgt, Spc>+Obj, rgb <1.0, 1.0, 1.0>
    spotlight radius Rad falloff Fal point_at Obj
  }

  light_source { < Spc, Hgt,-Spc>+Obj, rgb <1.0, 1.0, 1.0>    
    spotlight radius Rad falloff Fal point_at Obj 	   
  }  
}
#end


/*========================================================================*/
/* A Cena                                                             */

/*------------------------------------------------------------------------*/
/*                                                                        */

sky_sphere { S_Cloud1 }
       
     
/*********************************
**	parede do fundo  esquerda	**
*********************************/
#declare parede_esq = object{
	box{
		<-12, 0, 0>, <20, 12, -1> 
		texture{ 
			pigment { color White }		
		}		
	}   
}
 
 

/*************
**	janela	**
*************/
#declare vidro = object{
	box{
		<0, 0, 0>, <9, 6.5, 2> 
		material{ 
			texture{
				pigment{
					Col_Glass_Clear     
				}			
				finish{      										 					
					refraction 0.1
					reflection 0.3 
					specular 2				
				}
			}
			interior{    				
				ior 1.5 
				dispersion 1			
			}
		}		
	}
}
                
#declare batente_esqdir = object{
	box{
		<0, 0, 0>, <0.5, 7, 3>
		texture { T_Wood18 rotate 0.5*x scale .5 }
	}
}

#declare batente_cimabaixo = object{
	box{
		<0, 0, 0>, <0.5, 9.5, 3>
		texture { T_Wood18 rotate 0.5*x scale .5 }
		rotate -90*z
		//translate 0.5*x
	}
}

                
#declare batente = object{
	#union{
		object{ batente_esqdir }								//batente esquerdo
		object{ batente_esqdir translate 9*x }	//batente direito
		object{ batente_cimabaixo }							//batente de baixo
		object{ batente_cimabaixo translate 7*y } //batente de cima
		
	
		//madeira vertical
		box{
			<0, 0, 0>, <0.5, 6.5, 0.3>
			texture { T_Wood18 rotate 0.5*x scale .5 }
			translate <4.5, 0, -.01>
		}
		
		//madeira horizontal
		box{
			<0, 0, 0>, <8.5, 0.5, 0.3>
			texture { T_Wood18 rotate 0.5*x scale .5 	}
			translate <0.5, 3, -.01>
		}                     		
	} 
}

                                              
#declare parede_janela = object{	
#union{
	#difference{  	
  	object { parede_esq  translate 12*z}  	  	
  	object { vidro  translate <3.1, 1.9, 10.9>} 		
	}
	object{ batente  translate <3, 2, 10.9>}
}
	
}   

object { parede_janela  }
                   
                  
/*******************************
**	parede do fundo  direita	**
*******************************/
box{
	<0, 0, 0>, <1, 12, 20> 
	pigment{ color White }
	translate <20, 0, -7>
}   
  


/***************
**		piso		**
***************/   
box{
	<0, 0, 0>, <35, 1, 32> 
	pigment{ checker color White color rgb<0.4, 0.1, 0.0> scale 3 }
	translate <-5, -2, -17.5>
}   



/*------------------------------------------------------------------------*/

#declare loca = <-7.6, 5, -7.6>;
#declare look = <0, 2, 0>;

camera {   
	angle 45
  location loca
  look_at  look
}

/*------------------------------------------------------------------------*/

object { mLights(40, 40, 45, 45, look) }

/*------------------------------------------------------------------------*/
 
/***************
**		mesa		**
***************/
disc { 0, y, 8
	texture { 
 		T_Wood18 rotate 0.5*x scale .5   	
   	finish{
   		ambient 1
   		reflection 0.09      		
   	}
	}
  	
}   
                                                 
/*****************
**		Cadeira		**
*****************/                                              
object { Stuhl rotate <0,0,0> scale 10 translate <-1, -6, 6.5> }  
                                                         
                                                         
/***************
**	Armrio		**
***************/                                                      
object { Aktenschrank rotate <0,100, 6> scale 6 translate <18, -1, 7> }


//-- Meu cdigo ----------------------------------------------------------

//clock vale 0.1                       
                       
#declare tTmp = array[3][3][3] 
#declare outro_tTmp = array[3][3][3] 
#declare copia_Tran = array[3][3][3]   
#declare copia_iTran = array[3][3][3]        
#declare SeqMov = "FTaYBzYtbByFTZFy"
#declare l_SeqMov = strlen(SeqMov);   
#declare razao = 4.0;
#declare idx = int(clock) - razao;  

//faz uma cpia da matrizes para manter os outros
//cubos em seus estados originais    
Copia_Matriz( copia_Tran, Tran )
Copia_Matriz( copia_iTran, iTran)

#debug concat("clock = " str(clock, 0, 2) )

#if( clock <= razao )
	Rot( "Y", tTmp, Tran, iTran, clock ) 	
	object { Rubic(Cubes, tTmp) translate -(clock*y-<0, 6.5, 0>) }	
	
#else                                      
	#if( idx < l_SeqMov )
		#declare Hist = substr(SeqMov, 1, idx)   	
		Manip(Tran, iTran, Hist)
		Rot( substr(SeqMov,idx+1, 1), tTmp, Tran, iTran, clock-idx-razao ) 	
	#else                       
		#declare Hist = substr(SeqMov, 1, idx)
		Manip(Tran, iTran, Hist)
		Rot( substr(SeqMov,idx, 1), tTmp, Tran, iTran, clock-idx-razao )
	#end
	object { Rubic(Cubes, tTmp) translate 2.5*y }
#end

//cubo mais distante 
Manip(copia_Tran, copia_iTran, "FTbA") 
Rot( "A", outro_tTmp, copia_Tran, copia_iTran, 0 ) 	
object { Rubic(Cubes, outro_tTmp)  translate <5, 1.2, 0> } 
                    
//cubo mais prximo                    
Manip(copia_Tran, copia_iTran, "YabF")
Rot( "F", outro_tTmp, copia_Tran, copia_iTran, 0 ) 	
object { Rubic(Cubes, outro_tTmp)  translate <-3, 1.2, 2> }